kr.co.hanwha.hifive.adapter.viewholder

## Class SelectMemberListViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.adapter.viewholder.SelectMemberListViewHolder

    public class SelectMemberListViewHolder
    extends BaseViewHolder

Created by sanghoonkwon on 2018. 1. 18..

### Field Summary

Fields
`private boolean` `isSelected`
`private android.widget.ImageButton` `mImageButtonCheck`
`private android.widget.ImageView` `mImageViewProfile`
`private android.widget.LinearLayout` `mLayoutBody`
`private AddTaskSelectMemberListContract.OnSelectMemberListListener` `mOnSelectMemberListListener`
`private android.widget.TextView` `mTextViewName`
`private android.widget.TextView` `mTextViewPosition`
`private android.widget.TextView` `mTextViewProject`
`private android.view.View` `mViewDivider`
`private android.view.View` `mViewTopLine`

### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`SelectMemberListViewHolder(android.view.ViewGroup viewGroup, AddTaskSelectMemberListContract.OnSelectMemberListListener onSelectMemberListListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onBind(java.lang.Object object, int index)`
`void` `setSelected(boolean selected)`

### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

`getContext, getHeight`

### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### mViewTopLine

    private android.view.View mViewTopLine

#### mLayoutBody

    private android.widget.LinearLayout mLayoutBody

#### mImageButtonCheck

    private android.widget.ImageButton mImageButtonCheck

#### mImageViewProfile

    private android.widget.ImageView mImageViewProfile

#### mTextViewName

    private android.widget.TextView mTextViewName

#### mViewDivider

    private android.view.View mViewDivider

#### mTextViewPosition

    private android.widget.TextView mTextViewPosition

#### mTextViewProject

    private android.widget.TextView mTextViewProject

#### isSelected

    private boolean isSelected

#### mOnSelectMemberListListener

    private AddTaskSelectMemberListContract.OnSelectMemberListListener mOnSelectMemberListListener

### Constructor Detail

#### SelectMemberListViewHolder

    public SelectMemberListViewHolder(@NonNull
                                      android.view.ViewGroup viewGroup,
                                      AddTaskSelectMemberListContract.OnSelectMemberListListener onSelectMemberListListener)

### Method Detail

#### setSelected

    public void setSelected(boolean selected)

#### onBind

    public void onBind(@NonNull
                       java.lang.Object object,
                       @NonNull
                       int index)

Overrides:
  `onBind` in class `BaseViewHolder`